Issue #9586 has been updated by Yui NARUSE.

Backport changed from 1.9.3: UNKNOWN, 2.0.0: UNKNOWN, 2.1: UNKNOWN to 1.9.3: DONTNEED, 2.0.0: DONTNEED, 2.1: REQUIRED

----------------------------------------
Bug #9586: Unable to build Ruby 2.1.1 on NetBSD
https://bugs.ruby-lang.org/issues/9586#change-46307

* Author: Daniel Berger
* Status: Closed
* Priority: Normal
* Assignee: cruby-bsd
* Category: platform/bsd
* Target version: 
* ruby -v: 2.1.1
* Backport: 1.9.3: DONTNEED, 2.0.0: DONTNEED, 2.1: REQUIRED
----------------------------------------
NetBSD 6.1.3
gcc 4.5.3
Ruby 2.1.1

I got through the configure phase fine, but during make I got this failure:

```sh
compiling thread.c
In file included from thread.c:230:0:
thread_pthread.c: In function 'thread_timer':
thread_pthread.c:1440:5: warning: passing argument 1 of 'pthread_setname_np' from incompatible pointer type
/usr/include/pthread.h:133:5: note: expected 'pthread_t' but argument is of type 'const char *'
thread_pthread.c:1440:5: error: too few arguments to function 'pthread_setname_np'
/usr/include/pthread.h:133:5: note: declared here
*** Error code 1

Stop.
```

---Files--------------------------------
config.log (784 KB)


-- 
https://bugs.ruby-lang.org/